/**
 * @fileOverview    Shared Tooltip
 * @author          Dana Raijman
 * @version         V1.0
 * @SiSenseVersion  V5.7.1
 **/


 prism.sharedTooltip = function (widget){
	 widget.on('beforedatapointtooltip', function(se, args){
		 var category = args.context.pointScope.category;
		 var text = "";

		 for (i=0; i< args.context.pointScope.series.chart.series.length; ++i){
			 var e = args.context.pointScope.series.chart.series[i];
			 for (j=0; j < e.data.length; ++j){
				 if (e.data[j].category == category){
					 if (text.length > 0){
						 text +=' \n ' + e.name;
					 }
					 else{
						 text = e.name;
					 }
				 }
			 }
		 }

		 args.context.memberBreakBy = text;
	 });
 }

